Update a job
curl --request PUT \
--url https://api.gospott.com/vacancies/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"companyId": "<string>",
"description": "<string>",
"restricted": true,
"location": {
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"region": "<string>",
"state": "<string>",
"country": "<string>",
"latitude": 123,
"longitude": 123
},
"locations": [
{
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"region": "<string>",
"state": "<string>",
"country": "<string>",
"latitude": 123,
"longitude": 123
}
],
"languages": [
{}
],
"salaryRange": {
"min": 123,
"max": 123
},
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"teamUserIds": [
"<string>"
],
"clientContactIds": [
"<string>"
],
"stageId": "<string>",
"name": "<string>",
"scorecard": [
{
"groupName": "<string>",
"attributes": [
{
"attribute": "<string>"
}
]
}
],
"dealValue": {
"amount": 123
},
"targetCompanyId": "<string>"
}
'import requests
url = "https://api.gospott.com/vacancies/{id}"
payload = {
"companyId": "<string>",
"description": "<string>",
"restricted": True,
"location": {
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"region": "<string>",
"state": "<string>",
"country": "<string>",
"latitude": 123,
"longitude": 123
},
"locations": [
{
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"region": "<string>",
"state": "<string>",
"country": "<string>",
"latitude": 123,
"longitude": 123
}
],
"languages": [{}],
"salaryRange": {
"min": 123,
"max": 123
},
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"teamUserIds": ["<string>"],
"clientContactIds": ["<string>"],
"stageId": "<string>",
"name": "<string>",
"scorecard": [
{
"groupName": "<string>",
"attributes": [{ "attribute": "<string>" }]
}
],
"dealValue": { "amount": 123 },
"targetCompanyId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
companyId: '<string>',
description: '<string>',
restricted: true,
location: {
street1: '<string>',
street2: '<string>',
postalCode: '<string>',
city: '<string>',
region: '<string>',
state: '<string>',
country: '<string>',
latitude: 123,
longitude: 123
},
locations: [
{
street1: '<string>',
street2: '<string>',
postalCode: '<string>',
city: '<string>',
region: '<string>',
state: '<string>',
country: '<string>',
latitude: 123,
longitude: 123
}
],
languages: [{}],
salaryRange: {min: 123, max: 123},
startAt: '2023-11-07T05:31:56Z',
endAt: '2023-11-07T05:31:56Z',
teamUserIds: ['<string>'],
clientContactIds: ['<string>'],
stageId: '<string>',
name: '<string>',
scorecard: [{groupName: '<string>', attributes: [{attribute: '<string>'}]}],
dealValue: {amount: 123},
targetCompanyId: '<string>'
})
};
fetch('https://api.gospott.com/vacancies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}Jobs
Update a job
Updates the job with the specified ID. You can update job status, title, description, and other job properties.
PUT
/
vacancies
/
{id}
Update a job
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Path Parameters
Body
application/json
Minimum string length:
1Available options:
fullTime, partTime, temporary, internship, permanent, fixedTermContract, interimOrTemporary, contract Available options:
remote, hybrid, onsite Deprecated: use locations instead. A single physical location for the job. Ignored when locations is provided.
Show child attributes
Show child attributes
Physical locations for the job (0 to 15). Takes precedence over the deprecated location field. Omit to leave unchanged; send an empty array to clear all.
Maximum array length:
15Show child attributes
Show child attributes
Languages required for the job (0 to 100). Omit to leave unchanged; send an empty array to clear all.
Maximum array length:
100Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Minimum string length:
1Response
Job updated successfully
⌘I

